# Used to demonstrate running a postgres server backed by a Persistent Volume of type NFS on the cluster
# See nfs-volume-claim.yaml
# This only works if the host (ubuntu in my case) had nfs-kernel-server installed using apt install
apiVersion: v1
kind: PersistentVolume
metadata:
  name: postgres-nfs
  namespace: runcible
spec:
  capacity:
    storage: 10Gi
  accessModes:
    - ReadWriteMany
  nfs:
    server: nas1.runcible.io
    path: '/volume1/expanse/postgres_k8s'
